const count_sum = require('./count_or');

test(
    'проверяем сумму',
    () => {
        expect(count_sum(2,3)).toBe(6);
    }
);

test(
    'проверяем введение нулевого значения на один паретр - позитив',
    () => {
        expect(count_sum(2,0)).toBe(0);
    }
);

test(
    'передаем сразу два нулевых параметра -позитив',
    () => {
        expect(count_sum(0,0)).toBe(0);
    }
);
test(
    'передаем отрицательное значение на один параметр',
    () => {
        expect(count_sum(-1,5)).toBe(0);
    }
);
test(
    'передаем отрицательное значение на оба параметра',
    () => {
        expect(count_sum(-1,-5)).toBe(0);
    }
);
test(
    'проверяем негативным сцерием сумму',
    () => {
        expect(count_sum(1,5)).not.toBe(6);
    }
);
test(
    'проверяем, чтобы не получалось положительное число при умножении отрицательных параметров',
    () => {
        expect(count_sum(-1,-5)).not.toBe(6);
    }
);

test(
    'проверяем существоваие переменных',
    () => {
        expect(count_sum(1,1)).toBeDefined();
    }
);

test(
    'проверяем возврат нуля',
    () => {
        expect(count_sum(1,1)).not.toBeNull();
    }
);

test(
    'проверяем возврат Nan',
    () => {
        expect(count_sum(1,1)).not.toBeNaN();
    }
);